Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise.control
Class WebEvent

    java.lang.Object
      java.util.EventObject
          org.deegree.enterprise.control.WebEvent

All Implemented Interfaces:
  Serializable, FormEvent

Direct Known Subclasses:
  RPCWebEvent

    public class WebEvent

extends EventObject
implements FormEvent

Version:
  $Revision: 18195 $
Author:
  Torsten Friebe, Andreas Poth
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`WebEvent(javax.servlet.http.HttpServletRequest request)` Creates a new WebEvent object.

Method Summary
`String` | `getDocumentPath()` Returns the document path.
`Properties` | `getParameter()` Returns the list of parameter.
`RequestUser` | `getRequestUser()` Returns an object containig information about the user.
`String` | `toString()`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.deegree.enterprise.control.FormEvent
`getSource`

Constructor Detail

### WebEvent

    public WebEvent(javax.servlet.http.HttpServletRequest request)

  Creates a new WebEvent object.

  Parameters:
    `request` -

Method Detail

### getParameter

    public Properties getParameter()

  Description copied from interface: `FormEvent`
  Returns the list of parameter.

  Specified by:
    `getParameter` in interface `FormEvent`
  Returns:
    the parameters

### getDocumentPath

    public String getDocumentPath()

  Description copied from interface: `FormEvent`
  Returns the document path.

  Specified by:
    `getDocumentPath` in interface `FormEvent`
  Returns:
    the document path

### getRequestUser

    public RequestUser getRequestUser()

  Description copied from interface: `FormEvent`
  Returns an object containig information about the user.

  Specified by:
    `getRequestUser` in interface `FormEvent`
  Returns:
    the request user

### toString

    public String toString()

  Overrides:
    `toString` in class `EventObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org